package com.lightinit.hsdataplatformresdir.mapper;

import com.lightinit.hsdataplatformresdir.entity.UserAuthSetting;
import com.lightinit.hsdataplatformresdir.entity.UserAuthSettingExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface UserAuthSettingMapper {
    long countByExample(UserAuthSettingExample example);

    int deleteByExample(UserAuthSettingExample example);

    int deleteByPrimaryKey(Long id);

    int insert(UserAuthSetting record);

    int insertSelective(UserAuthSetting record);

    List<UserAuthSetting> selectByExample(UserAuthSettingExample example);

    UserAuthSetting selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") UserAuthSetting record, @Param("example") UserAuthSettingExample example);

    int updateByExample(@Param("record") UserAuthSetting record, @Param("example") UserAuthSettingExample example);

    int updateByPrimaryKeySelective(UserAuthSetting record);

    int updateByPrimaryKey(UserAuthSetting record);
}